Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038869
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminorhave not tried2018-07-02 09:202018-08-08 13:06
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revisionf4e9ff9ed7bb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038869: JDK 11: jaxbl-impl library should be included in the classpath

DescriptionIn Java 11, some modules are removed from the standard distribution. See[1].

Some of these modules were required in Openbravo, so in order to support Java 11 they were included to be deployed on the classpath. See[2].

For the case of the jaxb-api library, it has been detected that some modules require to include also its implementation (jaxbl-impl). See[3]. The following error appears if the implementation is required and not present:

javax.xml.bind.JAXBException: Provider com.sun.xml.internal.bind.v2.ContextFactory not found
 - with linked exception:
[java.lang.ClassNotFoundException: com.sun.xml.internal.bind.v2.ContextFactory]
    at javax.xml.bind.ContextFinder.newInstance(ContextFinder.java:148)
    at javax.xml.bind.ContextFinder.find(ContextFinder.java:371)
    at javax.xml.bind.JAXBContext.newInstance(JAXBContext.java:446)

Besides, this is also happening with the Hibernate upgrade: with Hibernate 5.3 the jaxbl-impl is required.


[1] http://openjdk.java.net/jeps/320 [^]
[2] https://code.openbravo.com/erp/devel/pi/rev/c3a604592d8f59346c6a17cc7c511566602dc23c [^]
[3] https://ci.openbravo.com/job/try-ret-modules-oracle-suite1/11547/artifact/SANDBOX/tomcat-logs/catalina.2018-06-04.log/*view*/ [^]
Steps To ReproduceUse case 1:

1) Build openbravo with Hibernate 5.3 (https://code.openbravo.com/erp/devel/pi-hb53 [^]), using JDK8
2) Login as System Administrator
3) Install a module using the Module Management Console: the error will be thrown during the update.database task

Use case 2:
1) Build openbravo with Hibernate 5.3 (https://code.openbravo.com/erp/devel/pi-hb53 [^]), using JDK11
2) In this case, the build can not be completed, it will fail when executing the update.database task
 
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0038130 closedcaristu support JDK 11 
depends on backport 00389003.0PR18Q2.1 closedcaristu JDK 11: jaxbl-impl library should be included in the classpath 
depends on design defect 00389013.0PR18Q3 closedcaristu JDK 11: jaxbl-impl library should be included in the classpath 
related to design defect 0038892 closedcaristu JDK 11: not necessary to include jaxws-api library 
blocks feature request 0037064 closedcaristu upgrade hibernate 

-  Notes
(0105614)
hgbot (developer)
2018-07-05 09:52

Repository: erp/devel/pi
Changeset: f4e9ff9ed7bb84ca049c0556f530c9c656a69f5b
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jul 05 09:47:14 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f4e9ff9ed7bb84ca049c0556f530c9c656a69f5b [^]

fixes issue 38869: jaxbl-impl library should be included in the classpath

  Added the JAXB Runtime module. It is mainly required by Hibernate 5.3 in order to:

  - Rebuild the system from the Module Management Console without errors
  - Rebuild the system from the command line using JDK11

---
M legal/Licensing.txt
A lib/runtime/jaxb-impl-2.2.6.jar
---
(0105618)
caristu (developer)
2018-07-05 10:11

Updated wiki page: http://wiki.openbravo.com/wiki/Openbravo_Libraries#Java_libraries [^]
(0105640)
alostale (developer)
2018-07-05 14:33
edited on: 2018-07-05 14:33

reviewed
tested with openjdk version "11-ea" 2018-09-25:
* MMC -> scan for updates, install and compile modules
* send email

(0106204)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-07-02 09:20 caristu New Issue
2018-07-02 09:20 caristu Assigned To => platform
2018-07-02 09:20 caristu Modules => Core
2018-07-02 09:20 caristu Triggers an Emergency Pack => No
2018-07-02 09:20 caristu Relationship added related to 0038130
2018-07-02 09:21 caristu Relationship added blocks 0037064
2018-07-02 12:50 caristu Assigned To platform => caristu
2018-07-04 18:38 caristu Issue cloned 0038892
2018-07-04 18:38 caristu Relationship added related to 0038892
2018-07-05 09:52 hgbot Checkin
2018-07-05 09:52 hgbot Note Added: 0105614
2018-07-05 09:52 hgbot Status new => resolved
2018-07-05 09:52 hgbot Resolution open => fixed
2018-07-05 09:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f4e9ff9ed7bb84ca049c0556f530c9c656a69f5b [^]
2018-07-05 09:59 caristu Review Assigned To => alostale
2018-07-05 10:00 caristu Issue cloned 0038900
2018-07-05 10:00 caristu Relationship added depends on 0038900
2018-07-05 10:01 caristu Issue cloned 0038901
2018-07-05 10:01 caristu Relationship added depends on 0038901
2018-07-05 10:11 caristu Note Added: 0105618
2018-07-05 14:33 alostale Note Added: 0105640
2018-07-05 14:33 alostale Status resolved => closed
2018-07-05 14:33 alostale Fixed in Version => 3.0PR18Q4
2018-07-05 14:33 alostale Note Edited: 0105640 View Revisions
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106204


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker